View Issue Details

IDProjectCategoryView StatusLast Update
0000005HavenMUDFixespublic2019-02-01 13:55
Reportermatthew 
PrioritynormalSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Summary0000005: spelleffect.c overcrowded
DescriptionSpelleffects.c spell_update() function is overcrowded with stuff that does not below.

Per-pulse regen should go in it's own function, separated by race within the function
Poison and other effects should go in their own function.
Tag game should go in it's own function.
Quint regen can go with per-pulse regen as above.
Tagssource
Attach Tags

Activities

matthew

2019-01-28 16:25

administrator   ~0000002

See issue # 0000006

Issue History

Date Modified Username Field Change
2019-01-27 22:31 matthew New Issue
2019-01-27 22:31 matthew Status new => assigned
2019-01-27 22:31 matthew Tag Attached: source
2019-01-28 16:24 matthew Status assigned => acknowledged
2019-01-28 16:25 matthew Status acknowledged => resolved
2019-01-28 16:25 matthew Resolution open => fixed
2019-01-28 16:25 matthew Note Added: 0000002
2019-02-01 13:55 matthew Status resolved => closed